matrix:
  platform:
  - centos7
  - debian10
  - ubuntu2004
  - macos
tasks:
  verify_targets:
    name: Verify build targets
    platform: ${{ platform }}
    build_targets:
    - '@rules_shtk//:all'

bcr_test_module:
  module_path: examples/binary
  matrix:
    platform:
    - centos7
    - debian10
    - ubuntu2004
    - macos
  tasks:
    run_test_module:
      name: Run test module
      platform: ${{ platform }}
      build_targets:
      - //...
